क्यूआर कोड्स
GET https://digily.link/api/qr-codes/
curl --request GET \
--url 'https://digily.link/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| search | वैकल्पिक स्ट्रिंग | खोज स्ट्रिंग। |
| search_by | वैकल्पिक स्ट्रिंग | आप किस क्षेत्र द्वारा खोज कर रहे हैं। अनुमत मान हैं: name. |
| project_id | वैकल्पिक पूर्णांक | |
| type | वैकल्पिक स्ट्रिंग | आप किस क्षेत्र द्वारा खोज कर रहे हैं। अनुमत मान हैं: text , url , phone , sms , email , whatsapp , facetime , location , wifi , event , vcard , crypto , paypal , upi , epc , pix. |
| order_by | वैकल्पिक स्ट्रिंग | परिणामों को किस क्षेत्र द्वारा क्रमबद्ध करना है। अनुमत मान हैं: qr_code_id , datetime , last_datetime , name , type. |
| order_type | वैकल्पिक स्ट्रिंग | परिणामों का क्रम। अनुमत मान हैं: ASC आरोही क्रम के लिए, और DESC अवरोही क्रम के लिए। |
| page | वैकल्पिक पूर्णांक | आप जिस पृष्ठ संख्या से परिणाम चाहते हैं। डिफ़ॉल्ट रूप से 1। |
| results_per_page | वैकल्पिक पूर्णांक | आप प्रति पृष्ठ कितने परिणाम चाहते हैं। अनुमत मान हैं: 10 , 25 , 50 , 100 , 250 , 500 , 1000. डिफ़ॉल्ट है 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://digily.link/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-03-25 10:32:48",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/qr-codes?page=1",
"last": "https://digily.link/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/qr-codes?page=1"
}
}
GET https://digily.link/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://digily.link/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-03-25 10:32:48",
}
}
POST https://digily.link/api/qr-codes
| पैरामीटर | विवरण | विवरण |
|---|---|---|
curl --request POST \
--url 'https://digily.link/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://digily.link/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://digily.link/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \